map $http_upgrade $connection_upgrade {
    default upgrade;
    ''      close;
}

server {
    listen 443 ssl;

    server_name juju;

    include /etc/nginx/snippets/snakeoil.conf;
    include /etc/nginx/snippets/ssl.conf;

    location / {
        proxy_pass https://{{ hostname }}:17070;
        include /etc/nginx/proxy_params;
        include /etc/nginx/snippets/proxy.conf;
    }
}